MapKeyHelpers.MapKeyAttribute (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.path
Class MapKeyHelpers.MapKeyAttribute<K>

    java.lang.Object
      org.hibernate.ejb.criteria.path.MapKeyHelpers.MapKeyAttribute<K>

Type Parameters:
  `K` - The type of the map key

All Implemented Interfaces:
  Serializable, Attribute<Map<K,?>,K>, Bindable<K>, SingularAttribute<Map<K,?>,K>

Enclosing class:
  MapKeyHelpers

    public static class MapKeyHelpers.MapKeyAttribute<K>

extends Object
implements SingularAttribute<Map<K,?>,K>, Bindable<K>, Serializable

Defines an `Attribute` modelling of a map-key.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Attribute
`Attribute.PersistentAttributeType`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Bindable
`Bindable.BindableType`

Constructor Summary
`MapKeyHelpers.MapKeyAttribute(CriteriaBuilderImpl criteriaBuilder, MapAttribute<?,K,?> attribute)`

Method Summary
`Class<K>` | `getBindableJavaType()`
`Bindable.BindableType` | `getBindableType()`
`ManagedType<Map<K,?>>` | `getDeclaringType()`
`Member` | `getJavaMember()`
`Class<K>` | `getJavaType()`
`String` | `getName()`
`Attribute.PersistentAttributeType` | `getPersistentAttributeType()`
`Type<K>` | `getType()`
`boolean` | `isAssociation()`
`boolean` | `isCollection()`
`boolean` | `isId()`
`boolean` | `isOptional()`
`boolean` | `isVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapKeyHelpers.MapKeyAttribute

    public MapKeyHelpers.MapKeyAttribute(CriteriaBuilderImpl criteriaBuilder,
                                         MapAttribute<?,K,?> attribute)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `Attribute<Map<K,?>,K>`

### getPersistentAttributeType

    public Attribute.PersistentAttributeType getPersistentAttributeType()

  Specified by:
    `getPersistentAttributeType` in interface `Attribute<Map<K,?>,K>`

### getDeclaringType

    public ManagedType<Map<K,?>> getDeclaringType()

  Specified by:
    `getDeclaringType` in interface `Attribute<Map<K,?>,K>`

### getJavaType

    public Class<K> getJavaType()

  Specified by:
    `getJavaType` in interface `Attribute<Map<K,?>,K>`

### getJavaMember

    public Member getJavaMember()

  Specified by:
    `getJavaMember` in interface `Attribute<Map<K,?>,K>`

### isAssociation

    public boolean isAssociation()

  Specified by:
    `isAssociation` in interface `Attribute<Map<K,?>,K>`

### isCollection

    public boolean isCollection()

  Specified by:
    `isCollection` in interface `Attribute<Map<K,?>,K>`

### isId

    public boolean isId()

  Specified by:
    `isId` in interface `SingularAttribute<Map<K,?>,K>`

### isVersion

    public boolean isVersion()

  Specified by:
    `isVersion` in interface `SingularAttribute<Map<K,?>,K>`

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in interface `SingularAttribute<Map<K,?>,K>`

### getType

    public Type<K> getType()

  Specified by:
    `getType` in interface `SingularAttribute<Map<K,?>,K>`

### getBindableType

    public Bindable.BindableType getBindableType()

  Specified by:
    `getBindableType` in interface `Bindable<K>`

### getBindableJavaType

    public Class<K> getBindableJavaType()

  Specified by:
    `getBindableJavaType` in interface `Bindable<K>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.